<?php
  include_once("../header.php");
  include_once("../php/config.php");
  
        
?>

<div class="container" style="width: 600px">

	
 
 <div class="panel panel-default">
   <div class="panel-heading">
     <h2 class="text-danger"> <i class="fa  fa-calendar-times"></i> Anular venta</h2>
   </div>
  <div class="panel-body">
    
  
        <b>Numero Fact.</b>

       <input type="number" name="factura" id="factura">
        <button onclick="ver()">Buscar</button>
        <button onclick="anular()">Anular</button>
        <hr>
        
        <div id="lista">
          
        </div>
      </div>

       </div>
     
    </div>
  </div>

 

 </div>



<?php
	include_once("../footer.php");
?>

<script>
  var estado="";
  var fo=""
  var pagado=0;
  var fecha;
  var cliente=""
  var folio_factura=""
  function ver(){
            var id = $("#factura").val()
            var sql="select * from ventas where folio='"+id+"'"
            $("#lista").html("Buscando factura...");
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    pagado = rs.data[i].pagado
                    fecha = rs.data[i].fecha
                    cliente = rs.data[i].cliente+", "+rs.data[i].ticket
                    folio_factura = rs.data[i].folio
                    $("#lista").html("<span class='text-danger h3'>"+rs.data[i].estado+"</span>");
					if(rs.data[i].estado=="Anulada"){
					$("#lista").append("<br><span class='text-primary'>Fecha y hora anulacion: "+rs.data[i].hora_anula+", "+rs.data[i].fecha_anula+"</span>");
                    $("#lista").append("<br><span class='text-primary'>Anulada por: "+rs.data[i].usuario_anula+"</span>");
                    $("#lista").append("<br><span class='text-primary'><b>Motivo de anulacion:</b> "+rs.data[i].motivo_anulacion+"</span>");
          }
					$("#lista").append("<br># Factura: "+rs.data[i].folio);
					$("#lista").append("<br><input type='hidden' id='id_venta00' value='"+rs.data[i].id_venta+"'>");
                    $("#lista").append("<br>Cliente: <span class='text-primary'>"+rs.data[i].cliente+"</span>");
                    $("#lista").append("<br>Fecha: "+rs.data[i].hora);
                    $("#lista").append("<br>Termino: "+rs.data[i].termino);
                    $("#lista").append("<br>NCF: "+rs.data[i].tipo_ncf+" - "+rs.data[i].ncf);
                    $("#lista").append("<br>TOTAL VENTA: "+rs.data[i].total);
                    $("#lista").append("<br>Pago con: "+rs.data[i].pago_con);
                    $("#lista").append("<br>Devuelta: "+rs.data[i].devuelta);
                    $("#lista").append("<br>Impuestos: "+rs.data[i].impuesto);
                    $("#lista").append("<hr>");
				 fo = rs.data[i].folio;	
				   detalle(rs.data[i].id_venta)
                    estado = rs.data[i].estado
                    
                    

                  }
                
            })
        }

 function detalle(folio){

            var sql="select * from detalle_venta where folio='"+folio+"'"
            //$("#lista").html("Buscando factura...");
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    $("#lista").append("<br><span class='text-primary'>"+rs.data[i].codigo+"-"+rs.data[i].descripcion+"</span>");
                    $("#lista").append("<br>"+rs.data[i].cantidad+" X "+rs.data[i].precio+" = "+parseFloat(rs.data[i].precio) * parseFloat(rs.data[i].cantidad) );
					
                    
                    
                    

                  }
                
            })
        }



 function anular(){
    if(estado=="Anulada"){alert("Ya esta venta se habia anulado!!"); return;}
     var id = $("#factura").val()
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
     

     /*
        if(validAuth!="Ok"){
                   modalAuth00(anular);
                    return;
          }
*/
    var pr = prompt("ESPECIFIQUE EL MOTIVO PARA ANULAR ESTA VENTA");
     if(pr==null){
      pr="";
     }

    var sql="";                            
    sql="update ventas set estado='Anulada', balance=0, usuario_anula='"+myUser+"', fecha_anula=CURDATE(), hora_anula=CURTIME(), motivo_anulacion='"+ pr +"' where folio='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       anular2(fo)
  /*
       if(fecha==hoySql && pagado>0){
          egreso(fecha,pagado,cliente)
        }
 */

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



 function anular2(f){
    var sql="";                            
    sql="update detalle_venta set anulado=1 where folio='"+f+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        
        rekardex(f);
       
        

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

 function rekardex(f){
	 var datos="id="+$("#id_venta00").val();
	     datos+="&almacen="+localStorage.getItem("almacen");
		 
     $.get("rekardex.php?" + datos, function(data, st) {
        if (st == "success") {
			if(data=="1"){

				alert("Factura anulada"+"\n"+"PRODUCTOS REINGRESADOS AL INVENTARIO");
        ver()
				//window.location.reload();
			}
		}
	 });
}



 function egreso(fecha,pagado, cliente){
    

                 
      $("button").prop("disabled", true);

     var monto = pagado;
     var cliente = cliente;
     var concepto = "Egreso por anulacion de factura #:"+folio_factura;
  var tipo = "Otros";
  

    var sql="";      
                  
       
            sql="INSERT INTO egresos set ";
            sql+=" monto='"+monto+"'";
            sql+=", cliente='"+cliente+"'";
            sql+=", pagado_a='"+cliente+"'";
    
            sql+=", concepto='"+concepto+"'";
      sql+=", tipo='"+tipo+"'";
           
            sql+=", usuario='"+myUser+"'";
           
            sql+=", fecha=CURDATE()"; 
            sql+=", hora=CURTIME()"; 
    

        
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
       /// noti("success","Registro grabado con exito","Registro grabado");
        ///$("#delete").hide();
       /// dstry();
      ////  id_producto="";
         $(".modal").modal('hide');
     ////updateCuenta(acuenta, monto)
         imprimir()
         ver()
       ///// setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
      $("button").prop("disabled", false);
       
    })

}

function imprimir(){
$.get("ultimo_registro.php?usuario="+myUser+"&funcion=egresos",function(data,tx)
{
  if(tx=="success"){
    var id_ = data;
    window.open('recibo_egreso.php?id='+id_, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
})
  
}

</script>
